Innhold
Innholdsliste 🔎︎

# Hex-funksjon

Returnerer en streng som representerer den heksadesimale verdien til et tall.

## Syntaks

    Hex (Tall)

## Returverdi

Streng

## Parameter

Tall: Ethvert numerisk uttrykk som du vil konvertere til et heksadesimalt tall.

### Feilkoder

5 Ugyldig prosedyreoppkall

## Eksempel:

    Sub ExampleHex
    ' bruker BasicFormler i LibreOffice Calc
    Dim a2, b2, c2 As String
        a2 = "&H3E8"
        b2 = Hex2Lng(a2)
        MsgBox b2
        c2 = Lng2Hex(b2)
        MsgBox c2
    End Sub

    Function Hex2Lng(sHex As String) As Long
    ' Returnerer et 32-biters heltall med fortegn fra en 8-sifret heksadesimal verdi.
        Hex2Lng = clng( sHex )
    End Function

    Function Lng2Hex(iLong As Long) As String
    ' Beregner den 8-sifrede heksadesimale verdien av et 32-biters heltall med fortegn.
        Lng2Hex = "&H" & Hex( iLong )
    End Function